
CFLAGS = @CFLAGS@ # -Wreturn-type -Wstrict-prototypes -Wmissing-prototypes # -Wuninitialized 
YFLAGS = -d
LEXLIB = @LEXLIB@
LDADD = -L../pub -lpub


sbin_PROGRAMS = cfd cfrun cfkey
bin_PROGRAMS = cfengine

cfengine_SOURCES =							\
	cfengine.c							\
        do.c                                                            \
        wrapper.c                                                       \
        report.c                                                        \
	client.c							\
	process.c							\
	ifconf.c							\
	image.c								\
	item.c								\
	item-ext.c							\
	item-file.c							\
	2Dlist.c							\
	globals.c							\
	classes.c							\
	misc.c								\
	parse.c								\
	edittools.c							\
	patches.c							\
	install.c							\
	link.c								\
	tidy.c								\
	filedir.c							\
	eval.c								\
	modes.c								\
	chflags.c							\
	locks.c								\
	mount.c								\
	macro.c								\
	filenames.c							\
	varstring.c							\
	wildcard.c							\
	cfparse.y							\
	comparray.c							\
	read.c								\
	checksums.c							\
	proto.c								\
        filters.c                                                       \
	copy.c								\
	repository.c							\
	rotate.c							\
	errors.c							\
	cflex.l								\
	net.c								\
	df.c								\
	log.c								\
	encrypt.c							\
	popen.c								\
	sensible.c							\
	acl.c								\
	dce_acl.c

cfengine_LDADD = -L../pub -lpub $(LEXLIB)

cfd_SOURCES =								\
	cfd.c								\
	parse.c								\
	install.c							\
	cfparse.c							\
	chflags.c							\
	cflex.l								\
	item.c								\
	item-ext.c							\
	varstring.c							\
	popen.c								\
	globals.c							\
	filenames.c							\
	macro.c								\
	eval.c								\
	read.c								\
	classes.c							\
	misc.c								\
	2Dlist.c							\
	modes.c								\
	locks.c								\
	wildcard.c							\
	copy.c								\
	rotate.c							\
	net.c								\
	acl.c								\
	dce_acl.c							\
	log.c								\
	errors.c							\
	encrypt.c							\
        filters.c                                                       \
	patches.c

cfd_LDADD = -L../pub -lpub $(LEXLIB)

cfrun_SOURCES =								\
	cfrun.c								\
	item.c								\
	filenames.c							\
	proto.c								\
	popen.c								\
	net.c								\
	read.c								\
	log.c								\
	patches.c							\
	globals.c

cfkey_SOURCES =								\
	cfkey.c								\
	encrypt.c							\
	popen.c								\
	globals.c							\
	read.c								\
	classes.c							\
	errors.c							\
        patches.c                                                       \
	log.c

#
# Pickup header files here so Automake knows about them
#
noinst_HEADERS =							\
	cfd.h								\
	cfparse.h							\
	cf.defs.h							\
	cf.extern.h                                                     \
	prototypes.h

#
# Some basic clean ups
#
MOSTLYCLEANFILES = *~ *.orig

#
# Get everything removed down to where rebuilding requires:
# "make; make install"
# 
CLEANFILES = cflex.c cfparse.c cfparse.h

#
# Get everything removed down to where rebuilding requires:
# "configure; make; make install"
#
DISTCLEANFILES = 

#
# Get everything removed down to where rebuilding requires:
# "aclocal; autoconf; autoheader; automake --add-missing"
# "configure; make; make install"
#
MAINTAINERCLEANFILES = Makefile.in conf.h.in stamp-h.in
